#!/bin/sh

GADGET_DIR=/sys/kernel/config/usb_gadget/vicharak

# Create a gadget called usb-gadgets
mkdir -p $GADGET_DIR

# Configure our gadget details
echo 0x1d6b >$GADGET_DIR/idVendor  # Linux Foundation
echo 0x0104 >$GADGET_DIR/idProduct # Multifunction Composite Gadget
echo 0x0100 >$GADGET_DIR/bcdDevice # v1.0.0
echo 0x0300 >$GADGET_DIR/bcdUSB    # USB3
mkdir -p $GADGET_DIR/strings/0x409
echo "5fdef992060a0a669b" >$GADGET_DIR/strings/0x409/serialnumber
echo "Vicharak" >$GADGET_DIR/strings/0x409/manufacturer
echo "USB Gadget" >$GADGET_DIR/strings/0x409/product

mkdir -p $GADGET_DIR/configs/c.1/strings/0x409
