#!/bin/bash

# Enable USB gadget on available UDC
configfs_enable() {
	# Bind to the first available UDC
	local UDC_NAME
	UDC_NAME=$(ls /sys/class/udc/ | head -n 1)
	if [ -n "$UDC_NAME" ]; then
		echo "$UDC_NAME" >"$GADGET_DIR/UDC"
		__dialog_msgbox "USB Gadget enabled on $UDC_NAME"
	else
		__dialog_msgbox "No available UDC found. Please check your USB controller."
	fi
}
